Skip to main content
POST
Accept a quote.

Headers

X-AVP-Validation
string
X-AVP-Impersonation
string

Path Parameters

sessionId
string
required

Body

paymentType
enum<string>
required

The payment type chose by the end user. It must have been proposed by the accept quote in a previous request.

Available options:
DefaultDeposit,
FullOnlinePayment,
CallOption,
WireTransfer,
PaymentHubRedirection
subscribeInsurance
boolean
required

True if the end user had chosen to subscribe to the proposed insurance.

customerDetails
object
required

Details of the customer (i.e. the end user which pay the booking).

guestDetails
object[]
required

Details of the guests (i.e. the people which will stay at the hotel).

paymentModeName
string

The payment name chose by the end user. It must have been proposed by the accept quote in a previous request.

specialRequest
string

Customer desires.

loyaltyDetails
object

Loyalty information of the partner used and customer.

Response

OK

redirectionUrl
string

The redirect url to send to the browser for the end of the booking process.